package cn.exploring.engine.server.db.domain.vo;

import cn.exploring.engine.server.db.domain.StudentInfo;
import org.springframework.beans.BeanUtils;

import java.util.List;
import java.util.Objects;

public class StudentInfoExcelImportResultVo extends StudentInfoExcelImportVo {

    private Integer id;
    private List<String> errMsg;

    public StudentInfoExcelImportResultVo() {
        super();
    }

    public StudentInfoExcelImportResultVo(StudentInfoExcelImportVo vo) {
        if (Objects.nonNull(vo)) {
            BeanUtils.copyProperties(vo, this);
        }
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public List<String> getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(List<String> errMsg) {
        this.errMsg = errMsg;
    }
}
